package enea.lecservice.services;

import enea.lecservice.models.dto.BaseRequest;
import enea.lecservice.models.dto.LocalUserDTO;
import enea.lecservice.security.dto.ActivateRequest;

public interface IRegisterService {
    String getCommunities(BaseRequest baseRequest);
    String register(LocalUserDTO model, String lang);
    String update(LocalUserDTO model, String lang, String token);
    String updatePassword(LocalUserDTO model, String lang, String token);
    String activate(ActivateRequest dto, String lang);
}

